LAST,(LASTB)

BEZEICHNUNG
last, lastb - eine Liste der zuletzt angemeldeten Benutzer anzeigen

ÜBERSICHT
last [-R] [-Zahl] [-n Zahl] [-adFiowx] [-f Datei] [-t JJJJMMTTHHMMSS] [Name…] [TTY…]
lastb [-R] [-Zahl] [-n Zahl] [-f Datei] [-adFiowx] [Name…] [TTY…]

BESCHREIBUNG
last durchsucht die Datei /var/log/wtmp (oder die durch den Schalter -f angegebene Datei) rückwärts und zeigt eine Liste aller Benutzer an, die sich seit der Erstellung der Datei angemeldet (und abgemeldet) haben. Die Benutzernamen und/oder TTYs können angegeben werden, in welchem Fall last nur die Einträge anzeigt, die auf diese Argumente passen. Die Namen der TTYs können abgekürzt werden, daher ist last 0 gleichbedeutend mit last TTY0.

Wenn last ein Signal SIGINT (üblicherweise mit Strg-C erzeugt) oder ein Signal SIGQUIT (üblicherweise mit Strg-\ erzeugt) empfängt, zeigt last an, wie weit die Suche durch die Datei bereits fortgeschritten ist; im Falle des SIGINT-Signals wird last dann beeendet.

Der Pseudo-Benutzer reboot meldet sich jedesmal an, wenn das System neu gestartet wird. Daher zeigt last reboot ein Protokoll aller Neustarts seit der Erstellung der Protokolldatei an.

lastb ist gleichbedeutend mit last, außer dass es in der Voreinstellung ein Protokoll aus der Datei /var/log/btmp anzeigt, welches die fehlgeschlagenen Anmeldeversuche enthält.

OPTIONEN

-f Datei
    weist last an, eine spezifische Datei anstelle von /var/log/wtmp zu verwenden.

-Zahl
    weist last an, wie viele Zeilen es anzeigen soll.

-n Zahl
    das gleiche.

-t JJJJMMTTHHMMSS
    zeigt den Status der Anmeldungen zur angegebenen Zeit an. Dies ist beispielsweise nützlich, um zu ermitteln, wer zu einem bestimmten Zeitpunkt angemeldet war. Geben Sie diese Zeit mit -t an und schauen Sie nach »still logged in«.

-R  unterdrückt die Ausgabe des Rechnernamenfeldes.

-a  zeigt den Rechnernamen in der letzten Spalte an. Dies ist in Kombination mit der nächsten Option nützlich.

-d  übersetzt die IP-Nummer zurück in einen Rechnernamen. Bei nichtlokalen Anmeldungen speichert Linux nicht nur den Namen des fernen Rechners, sondern auch dessen IP-Nummer.

-F  gibt die vollständigen Zeiten und Daten der An- und Abmeldungen aus.

-i  entspricht -d insoweit, dass es die IP des fernen Rechners anzeigt, aber in einer Ziffer-Punkt-Notation.

-l  erlaubt die Anzeige von Benutzernamen mit mehr als 8 Zeichen. Dies könnte die Formatierung in einigen Programmen durcheinanderbringen und zu einer Ausgabe von mehr als die standardmäßigen 80 Zeichen führen.

-o  liest eine Wtmp-Datei des alten Typs (von linux-libc5-Anwendungen geschrieben).

-w  zeigt die vollständigen Benutzer- und Domainnamen in der Ausgabe an.

-x  zeigt die Einträge zum Herunterfahren und zu den Runlevel-Änderungen des Systems an.

ANMERKUNGEN
Die Dateien wtmp und btmp könnten nicht gefunden werden. Das System protokolliert nur Informationen in diesen Dateien, wenn diese vorhanden sind. Dies ist ein Problem der lokalen Konfiguration. Wenn Sie diese Dateien verwenden wollen, können sie mit dem einfachen Befehl touch(1) angelegt werden (zum Beispiel touch /var/log/wtmp).

DATEIEN
/var/log/wtmp
/var/log/btmp

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)

SIEHE AUCH
shutdown(8), login(1), init(8)